#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-hjJqJmTJVe1Qnh1tBC6d
key:                  glirc-2.39.0.1-hjJqJmTJVe1Qnh1tBC6d
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  4f672ed78ca0bdc12bd02fe9f11c22bf
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-hjJqJmTJVe1Qnh1tBC6d
include-dirs:         /usr/lib/ghc-9.0.2/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.2-6PB6STze2BWA5981egumb5
    async-2.2.4-70qwKLxomDG7uuvcVfCGq2
    attoparsec-0.14.4-R00hSHCjmo7OsW0dxMCO2 base-4.15.1.0
    base64-bytestring-1.2.1.0-8Wzp1ohAM5521xZ4S2eRk5
    bytestring-0.10.12.1 config-schema-1.3.0.0-Cry7zWSsZT3IHKsq1VeyOm
    config-value-0.8.3-3pmzeYU8Vb25WTAZFoPyxS containers-0.6.4.1
    curve25519-0.2.7-8KoQqwYjgAl6NDcgEREsUw directory-1.3.6.2
    filepath-1.4.2.1 free-5.1.9-ClmHFhmbInp6r4l7HCxNUy
    githash-0.1.6.2-9bAclYPTy5aJe7GPv7jMz
    hashable-1.4.1.0-4IP0Gt0vSEl8UoOyFHwRQX
    hookup-0.7-Gv2ZHrOYNvi9DS09cjMhRA
    irc-core-2.11-BChe9gsY3uhBlBv6UJgNMX
    kan-extensions-5.2.5-1wPfaah9HHo4ZDPNzGSAYy
    lens-5.1.1-BWxklFYC3Me2N3JrIlYkZT
    network-3.1.2.7-3MnWjnNhABh27tP7sbt8Ba process-1.6.13.2
    psqueues-0.2.7.3-AJp27GlJe5AHSdQlWuaQi9
    random-1.2.1.1-C8aN1mO2C5BFfFmB9GY7Ok
    regex-tdfa-1.3.2-C3yAPZoZZqkAkGRSL3COIp
    split-0.2.3.5-DBtnzycmHvfGkfFjx30oaI stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp
    vector-0.12.3.1-37YOJsTp4sSIT9CMAp9q9Q
    vty-5.36-8uSPHIlBeGc4oX0N8Kts4Y

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

